- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.findreplace.FindReplaceDialog Class Reference

The smjg.libs.sdwf.findreplace.FindReplaceDialog class represents the Find and Replace common dialogs. More...

Inheritance diagram for smjg.libs.sdwf.findreplace.FindReplaceDialog:

List of all members.

## Public Types
enum | { NONE, FIND, REPLACE }
| A set of constants used to track which dialog is currently open. More...
## Public Member Functions
| this (WindowBase p, FindReplaceHandler handler)
| Constructs a new FindReplaceDialog.
void | showFind ()
| Displays the Find dialog.
void | showReplace ()
| Displays the Replace dialog.
bool | findNext ()
void | close ()
| Closes the Find or Replace dialog.
Properties
HWND | handle ()
| The Windows handle of the currently displayed dialog box, or `null` if the dialog box is not shown at the moment.
ushort | findLength ()
| The maximum length of the Find What text.
ushort | findLength (ushort len)
| The maximum length of the Find What text.
ushort | replaceLength ()
| The maximum length of the Replace With text.
ushort | replaceLength (ushort len)
| The maximum length of the Replace With text.
string | findWhat ()
| The text to search for.
string | findWhat (string f)
| The text to search for.
string | replaceWith ()
| The text with which to replace the found text.
string | replaceWith (string r)
| The text with which to replace the found text.
int | nowShowing ()
| Which dialog box is currently displayed.

## Detailed Description

The smjg.libs.sdwf.findreplace.FindReplaceDialog class represents the Find and Replace common dialogs.

The Find and Replace dialogs differ from the other Windows common dialogs in that they are modeless and that proceeding with the action does not close the dialog. A consequence is that the API for these dialogs is very different from that for the other common dialogs.

Since:
  0.5

Status:
  test

## Member Enumeration Documentation

anonymous enum

A set of constants used to track which dialog is currently open.

Enumerator:

  NONE |
  FIND |
  REPLACE |

## Constructor & Destructor Documentation

smjg.libs.sdwf.findreplace.FindReplaceDialog.this | ( | WindowBase | p,
|  | FindReplaceHandler | handler |
| ) |  |  |

Constructs a new FindReplaceDialog.

Parameters:

  | p | the parent window of the dialog.
  | handler | handler object to receive messages from the dialog.

Status:
  test

## Member Function Documentation

void smjg.libs.sdwf.findreplace.FindReplaceDialog.showFind | ( |  | ) |

Displays the Find dialog.

If the Find dialog is already open, the function merely sets the focus on it. If the Replace dialog is already open, it will be closed first.

Status:
  test

void smjg.libs.sdwf.findreplace.FindReplaceDialog.showReplace | ( |  | ) |

Displays the Replace dialog.

If the Find dialog is already open, it will be closed first. If the Replace dialog is already open, the function merely sets the focus on it.

Status:
  test

bool smjg.libs.sdwf.findreplace.FindReplaceDialog.findNext | ( |  | ) |

void smjg.libs.sdwf.findreplace.FindReplaceDialog.close | ( |  | ) |

Closes the Find or Replace dialog.

HWND smjg.libs.sdwf.findreplace.FindReplaceDialog.handle | ( |  | ) |

The Windows handle of the currently displayed dialog box, or `null` if the dialog box is not shown at the moment.

ushort smjg.libs.sdwf.findreplace.FindReplaceDialog.findLength | ( |  | ) |

The maximum length of the Find What text.

ushort smjg.libs.sdwf.findreplace.FindReplaceDialog.findLength | ( | ushort | len | ) |

The maximum length of the Find What text.

Status:
  test

ushort smjg.libs.sdwf.findreplace.FindReplaceDialog.replaceLength | ( |  | ) |

The maximum length of the Replace With text.

ushort smjg.libs.sdwf.findreplace.FindReplaceDialog.replaceLength | ( | ushort | len | ) |

The maximum length of the Replace With text.

Status:
  test

string smjg.libs.sdwf.findreplace.FindReplaceDialog.findWhat | ( |  | ) |

The text to search for.

Status:
  test

string smjg.libs.sdwf.findreplace.FindReplaceDialog.findWhat | ( | string | f | ) |

The text to search for.

Status:
  test

string smjg.libs.sdwf.findreplace.FindReplaceDialog.replaceWith | ( |  | ) |

The text with which to replace the found text.

Status:
  test

string smjg.libs.sdwf.findreplace.FindReplaceDialog.replaceWith | ( | string | r | ) |

The text with which to replace the found text.

Status:
  test

int smjg.libs.sdwf.findreplace.FindReplaceDialog.nowShowing | ( |  | ) |

Which dialog box is currently displayed.

Return values:

  | NONE | if neither the Find nor Replace dialogs are currently visible.
  | FIND | if the Find dialog is displayed.
  | REPLACE | if the Replace dialog is displayed.

## Member Data Documentation

uint smjg.libs.sdwf.findreplace.FindReplaceDialog._structSize = FINDREPLACEA.sizeof

HWND smjg.libs.sdwf.findreplace.FindReplaceDialog._parentHandle = null

HINSTANCE smjg.libs.sdwf.findreplace.FindReplaceDialog._instanceHandle = null

uint smjg.libs.sdwf.findreplace.FindReplaceDialog.flags = FR.DOWN

A bitwise combination of flags to customise the Find or Replace dialog.

LPTSTR smjg.libs.sdwf.findreplace.FindReplaceDialog._findWhat = null

LPTSTR smjg.libs.sdwf.findreplace.FindReplaceDialog._replaceWith = null

ushort smjg.libs.sdwf.findreplace.FindReplaceDialog._findLength = 81

ushort smjg.libs.sdwf.findreplace.FindReplaceDialog._replaceLength = 81

uint smjg.libs.sdwf.findreplace.FindReplaceDialog._customHookData = 0

LPFRHOOKPROC smjg.libs.sdwf.findreplace.FindReplaceDialog._hookFunction = null

LPCTSTR smjg.libs.sdwf.findreplace.FindReplaceDialog._templateName = null

FINDREPLACEA smjg.libs.sdwf.findreplace.FindReplaceDialog.spec

This dialog specification as a Windows FINDREPLACEA structure.

The documentation for this class was generated from the following file:

- findreplace.d